<template>
  <div class="pie-chart-wrapper" id="pie-chart"></div>
</template>

<script setup>
import { ref, onMounted, nextTick } from 'vue'
import setChart from '@/utils/setChart';
import getPieChart from './piechart';

const props = defineProps({
  pieChartData: {
    type: Array,
    default: [
      // {
      //   name: 'aaa',
      //   value: 12
      // },
      //  {
      //   name: 'bbb',
      //   value: 8
      // },
      //  {
      //   name: 'ccc',
      //   value: 15
      // },
    ]
  }
})

onMounted(() => {
  const pieChart = getPieChart(props.pieChartData)
  setChart(pieChart, 'pie-chart', )
})

</script>

<style lang="scss">
.pie-chart-wrapper {
  width: 100%;
  height: 100%;
  // width: 1520px;
  // height: 580px;

}
</style>